Description

getOperationStatistics duplicates information that can be obtained from the MN log records. This method is being deprecated until

there is a compelling need for it.

getStatus was a place holder for something more informational than ping(), however getObjectStatistics, ping, and getLogRecords all

provide sufficient information for general status monitoring.

There are several tasks associated with deprecating methods, this story provides a grouping of those tasks.

Subtasks:

Task # 1758: Remove status types and elements from schema Closed

Task # 1747: Remove getStatus and getOperationStatistics from docs Closed

Task # 1748: Remove getStatus and getOperationStatistics from interfaces in java common... Closed

Task # 1749: Remove getStatus and getOperationStatistics from python common, client, GMN Closed

History

#1 - 2011-08-31 02:10 - Dave Vieglais

- Target version set to Sprint-2011.35-Block.5

- Position set to 7

#2 - 2011-09-06 17:54 - Dave Vieglais

- Position deleted (16)

- Target version changed from Sprint-2011.35-Block.5 to Sprint-2011.36-Block.5

- Position set to 1

#3 - 2011-09-14 11:19 - Dave Vieglais

- Position set to 24

- Target version changed from Sprint-2011.36-Block.5 to Sprint-2011.37-Block.5

- Position deleted (1)

#4 - 2011-10-05 16:51 - Matthew Jones

- Status changed from New to In Progress

- Position set to 19

- Position deleted (19)

#5 - 2011-10-07 17:35 - Dave Vieglais

- Status changed from In Progress to Closed
